
QGIS Application - Bug report #18481

segfault when closing qgis

2018-03-19 04:33 PM - Rashad Kanavath

Status: Feedback

Priority: High

Assignee:

Category: GUI

Affected QGIS version:3.4.5 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 26369

Description

Here is the gdb trace

<gdb debug log>

src/core/raster/qgsrasterlayerrenderer.cpp: 140: (QgsRasterLayerRenderer) [9ms] draw request outside view extent.

src/core/qgsmaprenderercustompainterjob.cpp: 315: (doRender) [1ms] [thread:0x1ec88cdde140] Rendering completed in

(seconds): 0.001

src/gui/qgsmapcanvas.cpp: 1269: (keyPressEvent) [386024ms] Ignoring key: 16777249

src/gui/qgsmapcanvas.cpp: 1279: (keyReleaseEvent) [1310ms] keyRelease event

src/gui/qgsmapcanvas.cpp: 1301: (keyReleaseEvent) [0ms] Ignoring key release: 16777249

src/gui/qgsmapcanvas.cpp: 1269: (keyPressEvent) [1802660ms] Ignoring key: 16777249

src/gui/qgsmapcanvas.cpp: 341: (setLayersPrivate) [231ms] Layers have changed, refreshing

src/gui/qgsmapcanvas.cpp: 471: (refresh) [1ms] CANVAS render flag off

src/gui/qgsmapcanvas.cpp: 483: (refresh) [3ms] CANVAS refresh scheduling

src/gui/qgsmapcanvas.cpp: 2109: (mapToolDestroyed) [159ms] maptool destroyed

src/core/auth/qgsauthmanager.cpp: 446: (isDisabled) [23ms] Authentication system DISABLED: QCA's qca-ossl (OpenSSL)

plugin is missing

src/gui/qgsmapcanvas.cpp: 477: (refresh) [1ms] CANVAS refresh already scheduled

[New thread 152245]

Thread 1 received signal SIGSEGV, Segmentation fault.

0x00001ec959a32057 in QNetworkConfiguration::~QNetworkConfiguration() () from /usr/local/lib/qt5/./libQt5Network.so.2.1

(gdb) bt

#0  0x00001ec959a32057 in QNetworkConfiguration::~QNetworkConfiguration() () from /usr/local/lib/qt5/./libQt5Network.so.2.1

#1  0x00001ec959a368be in QThreadStorage<QSharedNetworkSessionManager*>::deleteData(void*) () from

/usr/local/lib/qt5/./libQt5Network.so.2.1

#2  0x00001ec8afacd64c in QThreadStorageData::finish(void**) () from /usr/local/lib/qt5/./libQt5Core.so.2.1

#3  0x00001ec8afc930f4 in QCoreApplicationPrivate::cleanupThreadData() () from /usr/local/lib/qt5/./libQt5Core.so.2.1

#4  0x00001ec945afe0e2 in QGuiApplicationPrivate::~QGuiApplicationPrivate() () from /usr/local/lib/qt5/./libQt5Gui.so.2.1

#5  0x00001ec8cd8b99ee in QApplicationPrivate::~QApplicationPrivate() () from /usr/local/lib/qt5/./libQt5Widgets.so.2.1

#6  0x00001ec8afcbfaa6 in QObject::~QObject() () from /usr/local/lib/qt5/./libQt5Core.so.2.1

#7  0x00001ec8cd8bb790 in QApplication::~QApplication() () from /usr/local/lib/qt5/./libQt5Widgets.so.2.1

#8  0x00001ec93d60394a in QgsApplication::~QgsApplication (this=0x7f7ffffe85f8) at

/home/rashad/projects/qgis/qgis/src/core/qgsapplication.cpp:284

#9  0x00001ec67fd0cce4 in main (argc=1, argv=0x7f7ffffe9148) at /home/rashad/projects/qgis/qgis/src/app/main.cpp:1439
git commit: 10044fb1dd (HEAD -> master, origin/master, origin/HEAD) [raster] skip non finite values when computing band min/max

statistics

History

#1 - 2018-03-19 04:37 PM - Rashad Kanavath

qgs authentication is not enabled. I have following message on console

src/core/auth/qgsauthmanager.cpp: 446: (isDisabled) [32ms] Authentication system DISABLED: QCA's qca-ossl (OpenSSL) plugin is missing

#2 - 2018-03-19 08:39 PM - Nyall Dawson

- Assignee deleted (Nyall Dawson)

#3 - 2019-03-09 04:35 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#4 - 2019-03-11 09:51 AM - Rashad Kanavath

Yes. Still same as qgis 3.0. even with auth enabled I have segfault except that it isn't random since 3.2.

When closing qgis, it ends with segfault.

#5 - 2019-03-11 11:38 AM - Giovanni Manghi

- Affected QGIS version changed from master to 3.4.5

- Subject changed from random segfault when closing qgis to segfault when closing qgis

- Priority changed from Normal to High

When closing qgis, it ends with segfault.

please try with a new/clean profile, no 3rd party plugins installed.
